summaryrefslogtreecommitdiffstats
path: root/share/scripts/curl
diff options
context:
space:
mode:
Diffstat (limited to 'share/scripts/curl')
-rwxr-xr-xshare/scripts/curl13
1 files changed, 12 insertions, 1 deletions
diff --git a/share/scripts/curl b/share/scripts/curl
index 3a715ca..8e1d0e7 100755
--- a/share/scripts/curl
+++ b/share/scripts/curl
@@ -142,8 +142,12 @@ then
elif [ -x /usr/bin/xz ]
then
COMPRESSION="xz"
-else
+elif [ -x /bin/gzip ]
+then
COMPRESSION="gz"
+else
+ echo "'${NAME}': no supported compressor available (lz, xz, gz)."
+ exit 1
fi
ARCHITECTURE="${ARCHITECTURE:-$(dpkg --print-architecture)}"
@@ -233,6 +237,13 @@ done
case "${IMAGE}" in
*.gz)
TAR_OPTIONS="--gzip"
+
+ if [ ! -e /bin/gzip ]
+ then
+ echo -en "\n"
+ echo "'${NAME}': /bin/lzip - no such file." >&2
+ exit 1
+ fi
;;
*.lz)